summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-06-17 06:34:05 +0200
committerHans de Graaff <graaff@gentoo.org>2016-06-19 07:19:41 +0200
commitcfc23e7bf6efba4fe034e39cb2e37edbb1bf1dd6 (patch)
treefef61100ffd655eea01ef126ff521d222aca1301 /dev-ruby/test-unit
parentmedia-sound/gst123: remove old (diff)
downloadgentoo-cfc23e7bf6efba4fe034e39cb2e37edbb1bf1dd6.tar.gz
gentoo-cfc23e7bf6efba4fe034e39cb2e37edbb1bf1dd6.tar.bz2
gentoo-cfc23e7bf6efba4fe034e39cb2e37edbb1bf1dd6.zip
dev-ruby/test-unit: add 3.2.0
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/test-unit')
-rw-r--r--dev-ruby/test-unit/Manifest1
-rw-r--r--dev-ruby/test-unit/test-unit-3.2.0.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-ruby/test-unit/Manifest b/dev-ruby/test-unit/Manifest
index 4bdd80eb2e3..eb16392e899 100644
--- a/dev-ruby/test-unit/Manifest
+++ b/dev-ruby/test-unit/Manifest
@@ -4,3 +4,4 @@ DIST test-unit-3.1.5.gem 122368 SHA256 9c38357eb0342e7971b6e6c37691b1ceb5161736a
DIST test-unit-3.1.7.gem 124416 SHA256 01133018f929db5290471b8e39feb5317bde2488efde1ec18e9653b2edb526f1 SHA512 fb41fdc27b0278fd272db100d76b4691468ab68d1327baf63d4e230285aec5e9faedb3b2fced4445a8a801828e9c715533ab6311dbe7a4033b6c8402e711b06e WHIRLPOOL 4d660d4c4da7329daa5ea1d4f5ac1859d150c0cfea8591adc82a5ad2ef1c08095cc29a8ef269d0f989ded7de20c903068ac1733a95c0cf7d1912887c003dd0c6
DIST test-unit-3.1.8.gem 124416 SHA256 1bf50d79eee99c1aa7d8e199cb0d8e1a08d1a77692e61b0a99b72bb8b01f9374 SHA512 e83010db59f7000f8d7be2d85759e20dd8a07495f49052a7bcf1c31486b50231668039d2b94f5aa67d62f60da9a796875d3cfc876822acffeb18b429481804d7 WHIRLPOOL 9d9afd151ff3f366f1d6a661f03c87afe73acd5b7d183a1a5d27aa18851986c6845897d89a6b0dca7d076bc0a8caf081d6e8450b410fd4b4c7ee2d49b5c79137
DIST test-unit-3.1.9.gem 124416 SHA256 3efe0e17e4bc9880ada13515198531f6101bf6d03c5e5556f53cc72b45c33aec SHA512 ec3068db7faceb5c6a3f3a848512aa76ec2e360a2a1ca7ec45fd6c1b84f45f04fb1b4d77120dfde7b0a41e4a8435fa37ba6550e4242e3817d344b3ca8d7b4428 WHIRLPOOL 715cd547da273b6384a5f6191d2d80c26a1044ff94639cd4bdfd9a80553e026522e495683323572be41081dbad1f35fcab20b6b4c98a9f65ac576c8682e088f7
+DIST test-unit-3.2.0.gem 124928 SHA256 a09a276e39622ed4991e392a514b35a7ba2d61bb384981a805fee65be9bb75a8 SHA512 a0d148ea2ec217afc57ee01116e73285b8c7403c0628d9bf4bddba59de2f254816cec2c5250c21548e143cb3cd63fc703735e0b6fbb7e3e321fe647dec7d16f7 WHIRLPOOL 04d07da9c62c695d56ce58453b283a0381f084d2ed6d7eb59e35d806d1f804e68e11db42660a7cb745c01ee41c8756c734ec781968130963a6265e0bfdb39d7c
diff --git a/dev-ruby/test-unit/test-unit-3.2.0.ebuild b/dev-ruby/test-unit/test-unit-3.2.0.ebuild
new file mode 100644
index 00000000000..c1ac970024b
--- /dev/null
+++ b/dev-ruby/test-unit/test-unit-3.2.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="README.md doc/text/news.md"
+
+inherit ruby-fakegem
+
+# Assume for now that ruby23 is not eselected yet and only
+# depend on yard for the other ruby implementations. Without this
+# assumption bootstrapping ruby23 won't be possible due to the yard
+# dependency tree.
+USE_RUBY="${USE_RUBY/ruby23/}" ruby_add_bdepend "doc? ( dev-ruby/yard )"
+
+DESCRIPTION="An xUnit family unit testing framework for Ruby"
+HOMEPAGE="https://rubygems.org/gems/test-unit"
+
+LICENSE="|| ( Ruby GPL-2 ) PSF-2"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc test"
+
+ruby_add_rdepend "dev-ruby/power_assert"
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc; then
+ yard doc --title ${PN} || die
+ fi
+}
+
+each_ruby_test() {
+ ${RUBY} test/run-test.rb || die "testsuite failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ newbin "${FILESDIR}"/testrb-3 testrb-2
+}